### Method

# Gtk Entryset_alignment

#### Declaration [src]

    void
    gtk_entry_set_alignment (
      GtkEntry* entry,
      float xalign
    )

#### Description [src]

Sets the alignment for the contents of the entry.

This controls the horizontal positioning of the contents when the displayed text is shorter than the width of the entry.

See also: `GtkEditable:xalign`

#### Parameters

`xalign`

  Type: `float`

  The horizontal alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.